## org.eclipse.datatools.modelbase.sql.accesscontrol.impl
Class SQLAccessControlFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.datatools.modelbase.sql.accesscontrol.impl.SQLAccessControlFactoryImpl

All Implemented Interfaces:
  SQLAccessControlFactory

public class SQLAccessControlFactoryImpl
extends EFactoryImpl
implements SQLAccessControlFactory

An implementation of the model Factory.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.SQLAccessControlFactory
`eINSTANCE`

Constructor Summary
`SQLAccessControlFactoryImpl()` Creates an instance of the factory.

Method Summary
`EObject` `create(EClass eClass)`
`Group` `createGroup()`
`Privilege` `createPrivilege()`
`Role` `createRole()`
`RoleAuthorization` `createRoleAuthorization()`
`User` `createUser()`
`static SQLAccessControlPackage` `getPackage()` Deprecated.
`SQLAccessControlPackage` `getSQLAccessControlPackage()`
`static SQLAccessControlFactory` `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLAccessControlFactoryImpl

    public SQLAccessControlFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SQLAccessControlFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createPrivilege

    public Privilege createPrivilege()

  Specified by:
    `createPrivilege` in interface `SQLAccessControlFactory`
  Returns:
    a new object of class 'Privilege'.

### createGroup

    public Group createGroup()

  Specified by:
    `createGroup` in interface `SQLAccessControlFactory`
  Returns:
    a new object of class 'Group'.

### createUser

    public User createUser()

  Specified by:
    `createUser` in interface `SQLAccessControlFactory`
  Returns:
    a new object of class 'User'.

### createRole

    public Role createRole()

  Specified by:
    `createRole` in interface `SQLAccessControlFactory`
  Returns:
    a new object of class 'Role'.

### createRoleAuthorization

    public RoleAuthorization createRoleAuthorization()

  Specified by:
    `createRoleAuthorization` in interface `SQLAccessControlFactory`
  Returns:
    a new object of class 'Role Authorization'.

### getSQLAccessControlPackage

    public SQLAccessControlPackage getSQLAccessControlPackage()

  Specified by:
    `getSQLAccessControlPackage` in interface `SQLAccessControlFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SQLAccessControlPackage getPackage()

  Deprecated.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.